INTEL_IRQ_INIT(9)

NAME
intel_irq_init - initializes irq support

SYNOPSIS

void intel_irq_init(struct drm_i915_private * dev_priv);

ARGUMENTS

dev_priv
    i915 device instance

DESCRIPTION

This function initializes all the irq support including work items, timers and all the vtables. It does not setup the interrupt itself though.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT